AutoCAD Inventor :: Calling Sub From Different Document

Apr 4, 2013

In an object type Project I have a form with a button that calls another sub of the same form, the code looks something like this:

Private Sub CommandButton1_Click ()

'Set a Part Document as active document
Dim oDoc As Inventor.PartDocument
Set oDoc = ThisApplication.Documents.Open ("C: Users oZteC Documents Inventor Experiment part1.ipt", True)
oDoc.Activate

'Call "ModelParameters" within the same form
Call ModelParameters

End Sub
____________________

Public Sub ModelParameters ()
....
End sub

I want to move the sub "ModelParameters" to the object type PartDocument, the problem is when I move it the call doesn't work.
I want to run something like this:

ApplicationProject> Form> ClickButton ----> call to ----> DocumentProject> ThisDocument> Sub

View 1 Replies


ADVERTISEMENT

AutoCAD Inventor :: Calling AddIn Function From Outside

Dec 17, 2013

I would like to make an Inventor AddIn with commands (functions) that can be called from other standalone applications. I have tried to create a COM interface for my AddIn, and that works with rather small effort, but I think I have heard that it should be possible to do this without the COM interface. I would like to avoid COM if possible. if I need to do anything special in the AddIn to make the function visible and how I on client side calls the function.

View 1 Replies View Related

AutoCAD Inventor :: Calling Out Assemblies In Drawing Views?

May 20, 2013

I have a top level assembly created from multiple subassemblies.  In my drawing view, I would like to add leaders calling out the subassemblies.  Is this possible with Inventor 2013?  It seems easy - am I missing something?

I tried adding leaders, and selecting the model properties, selected the subassembly, then picked part number.  The leader always reverts back to the part level. 

Product Design Suite Ultimate 2014
Vault Professional 2014
Windows 7 Pro SP1
HP-Z400: 2.67 GHz 12 Gb Ram
Nvidia Quadro FX1800 driver 276.42

View 1 Replies View Related

AutoCAD Inventor :: Calling A Standard Window IProperties?

Feb 14, 2013

The explorer Windows when selecting file from the context menu to bring up the iProperties. Properties window creates a file  C:Program FilesAutodeskInventor 2013BinDTCPexe.exe?

As most applies the program DTCPexe.exe to cause property to C:Part.ipt?

View 5 Replies View Related

AutoCAD Inventor :: Calling Specific Part In Assembly Through Macro

Nov 1, 2012

I have been trying to create a macro to control an assembly. The problem is that I need to access a certain parameter in a specific part in the assembly. I can get the exact parameter by using the "name" of the given parameter, ex .Item("d7") to call the parameter d7. The problem for me has been what name do I use to call out a given part, I have been using .Item(Index number), ex .Item(12), but this number can change as parts are added, deleted, or suppressed.

The question is what "name" should I be using and how do I use it. I have tried

"InternalName", "PrimaryDeselGUID",  "DisplayName", "FullDocumentName", "FullFileName"

but there is no "Name" to input like the parameter.

View 5 Replies View Related

AutoCAD Inventor :: How To Get Model-document Name For Drawing-document

Feb 11, 2013

I tried to print thisdrawing.modeldocument in a vba sub, but it doesn't work.

View 4 Replies View Related

AutoCAD .NET :: Calling Rotate With A SelectionSet

Apr 18, 2013

I have overriden the rotate command to get a selection set and do something extra if it contains one of our custom objects.

However if it contains any standard autocad objects I want to recall the original autocad rotate command with a SelectionSet of these objects.

I know I can call the rotate command using:
 
acedCommandS(5005, __arglist("._ROTATE", 5005, "\", 5000));

However this will call the rotate command from the start and ask for a new selection set. Is there a way to call this with my selection set?

View 1 Replies View Related

AutoCAD .NET :: Calling / Modifying Existing Commands?

Jan 3, 2014

I'm really curious, is it possible to call or modify/inherit any autocad command? I'm looking to create a command that hatches the area between an offset, but I can't find any material on how to even utilize existing commands.

View 6 Replies View Related

AutoCAD VB :: File Not Found Error Calling ARX From VBA 64b

Feb 7, 2012

I'm getting this error "Run-time" error '48' "File not found: *****.arx" calling functions from VBA (Autocad 2011 64b).

note that same code (VBA & ARX) works fine on 32b env.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Calling Mleaders With Mtext

Oct 17, 2007

I'm finding Mleaders with Mtext don't seem to play well with command calls. All works fine until one tries to enter the mleader text. Before testing this, be sure your mleader style is set to use mtext. I recommend starting the leader with the arrow first.

Compare this mleader's text entry behavior in this basic lisp command call:(command "_.acad_dim.mleader") with the following routine that relies on an open ended command prompt (useful if you want to add more commands after calling the mleader command):

(defun c:mlx (/ cc_echo)
(prompt "
Example showing mleader mtext misbehaving")
(setq cc_echo (getvar "cmdecho"))
(setvar "cmdecho" 1)
(command "_.acad_dim.mleader")
[code]...

With qleaders, the leader and text are separate entities.

View 9 Replies View Related

AutoCAD .NET :: Invalid Object Array Exception While Calling Copy Objects

Sep 6, 2013

I am getting Invalid Object array error on following line: 

oSourceFile.CopyObjects(objCollection, m_oActiveDoc.Blocks); 

Code is given below

[URL]........

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Commands Not Finishing After Calling Script Within Function

Nov 15, 2013

I have a simple lisp function to add a scale axis to a drawing by calling a script, renamed the drawing by appending "withScale" to the file name, and then closing the file. I placed a call to the function in the acad.lsp file in the startup suite. The idea was to batch process all files by simply opening them. Upon open the startup acad.lsp file runs, which calls my lisp function, which in turn calls the scale script. It should then execute the renaming, saving, and closing commands. The problem is that it is calling the script fine and renaming the file, but it does not save the changes before closing. Here is the lisp function
 
(defun saveScale(); (command "-purge" "all" "" "n")(if (findfile "C:/Users/Russell/Desktop/TreeFiles/Automation/Scale&Key.scr")(command "_script" "C:/Users/Russell/Desktop/TreeFiles/Automation/Scale&Key.scr")); end if (command "_.zoom" "e") (command "_saveas" "2013" (strcat (getvar "dwgprefix") (vl-filename-base (getvar "dwgname")) "withScale.dwg")) (command "close") ) (saveScale)
 
Apparently you cannont run any lisp commands after calling a script, however the renaming still follows through.

I've attached the script file as well. (I couldn't attach .scr format so you may need to rename it).

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Calling Image Tile Menu From Routine?

Nov 18, 2011

What is the code to call an image tile menu from a lisp command. I currently have a menu item that calls this image tile menu: $I=TYPSMBL1 $I=* but I want to have a keyboard shortcut as well "SL".

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Return To Calling Function After Trapping Error In Subroutine

Mar 13, 2012

I've got a subroutine that gets the centroid of a closed polygon (lwpoly).  It appears to fail if the polygon has any zero length line segments.  I've added a trap that catches the error and "highlights" the offending polygon, but it stops there and does not return to the main function that called the subroutine.  Is there a way to get back to the main function from the trap?

Here's the subroutine (original function by _gile (Autodesk LISP Forum 9-18-2006):

(defun return-centroid (lwpoly space / obj Region Centroid)
(setq *error* trap1)
(setq obj (vlax-ename->vla-object lwpoly))
(setq Region (vlax-invoke space 'addRegion (list obj)))
(setq Centroid (trans (vlax-get (car Region) 'Centroid) 1 0))
(vla-delete (car Region))

[code]....

View 2 Replies View Related

Photoshop :: Calling PS Phenoms With Water Spots

Mar 28, 2005

I just got a freelance job cleaning/sharpening and generally making beautimous, about 100 deep sea photos...all was going according to plan, when I came upon a large group that, as soon as I brought the levels up, along came these horrific sprays of water spotting, that I have no idea how to deal with. I don't think there's a way to make it look real if I use a tool like the clone or bandaid, and I tried working in LAB mode, to see if there was any way I could make a difference with the gaussian blur, but that did nothing, and that may just have been hopefull. I can't remove the guys background, and I know there are some extra softwear programs that work with spotting etc. but in this case I can't see how they would work and still keep the picture sharp..?

View 6 Replies View Related

Paint.NET :: Any Way Of Using (calling) Operations From Inside C# Code

Jul 28, 2011

app name, but is there any way of using (calling) operations from inside my C# code?What I'm saying is that, there is a SDK through Paint.NET so I can have simple Image Editing from my custom application?

If not, is there a way to call Paint.NET trough my code, make some editing and then closing Paint.NET continue handling the iage from my C# app?If this is not suitable for my needs, any simple Image editing tool so I can use through my C# application?

View 2 Replies View Related

Edge Animate CC :: Jquery Calling Symbol In Itself?

Jul 17, 2013

I want to create on the symbol an mouse over event that address the same symbol.
 
i've tried
 
this.css("display","none");
 
with no success..

View 5 Replies View Related

AutoCAD .NET :: Adding A Document To Document Manager Collection

Jul 30, 2013

The code below crashes with an "attempt to write to protected memory"  in debug mode (it crashes when it hits acDocMgr.add)but in the Release version it works fine. I am using Command Flags.Session

Dim acDocMgr As DocumentCollection = Application.DocumentManager Dim pStyle As Integer = Autodesk.AutoCAD.ApplicationServices.Application.GetSystemVariable("PSTYLEMODE") Dim acDoc As Document = Nothing If pStyle = 1 Then    acDoc = acDocMgr.Add("acad.dwt") Else acDoc = acDocMgr.Add("acad -Named Plot Styles.dwt") End If

View 7 Replies View Related

AutoCAD Inventor :: Get Vault File ID From Document?

Dec 25, 2013

I'd like to get the Vault file Id from an inventor document on the local workspace in order to be sure that it has been checked in (I want to be sure  that all the files on the local disk have been checked in).

View 2 Replies View Related

AutoCAD Inventor :: Setting Document Visibility Via API

Jul 11, 2013

Is it possible to make a document invisible after it´s open? I would like to keep it in memory but not reachable to the user.

Making the document view(s) invisible is not what I´m looking for. I need to clear/close/delete all views WITHOUT closing the document..

( So it has the same state as if opened through API with the visible parameter set to false, e.g.  Document.VIews.Count = 0

View 7 Replies View Related

AutoCAD Inventor :: Open Document According To Parts Only BOM?

Apr 1, 2013

I'm using VB Express. I have got an assembly file. I want to open all sub parts according to "Parts only" BOM. Because I want to open every part only one time. Because there can be many occurences of same part.

I want to open each part only one time and save as bitmap views...

Normally I use below code but it can open same files many time according to assembly type unfortunatelly.

Dim oRefDocs As DocumentsEnumerator
oRefDocs = invDocs.AllReferencedDocuments
For Each invDocument In oRefDocs
invDocument3 = invDocument2.Open(invDocument.FullDocumentName, True)
next

View 2 Replies View Related

AutoCAD Inventor :: How To Change Name Of A Document Programmatically (C++ & COM)

Jul 16, 2013

I'd hoped that I could change the name of a part document like I did with sketches, simply assignment:

 BSTR bstrName ;pPartDoc->get_FullDocumentName (&bstrName) ;wprintf (L"
Full document name was %s
",wchar_t(bstrName)) ;pPartDoc->FullDocumentName = L"Whatever" ;
 
But the compiler complains about no put method on that last line.How do I change the name of a Part Document programatically?

View 1 Replies View Related

AutoCAD Inventor :: No Units Tab In Document Settings In IDW

Mar 27, 2012

I want to change the default precision shown in my drawing from two decimal places to three. In my .idw file the "Units" tab does not seem to be there. I see Standard, Sketch, Drawing, Sheet. I could change each dimension one by one, but there's got to be an easier way.

View 2 Replies View Related

AutoCAD Inventor :: How To Document Frame Sketches

Sep 15, 2013

I have created a frame using the frame generator that I need to document. It is created using about 5 sketches. The sketches are part of their own .ipt file. Now I would like to document the frame but cannot figure out how to do it. I have tried creating sections of the frame but I cannot snap to points of interest on the frame, such as where two pipes meet, when dimensioning. How do I document the sketches?

View 9 Replies View Related

Lightroom :: System Cannot Find Specified File / When Calling Shell Execute ExW From AG Workspace

Feb 27, 2014

Today I got an error message when trying to export a photo. It has never happened before. Win32 API error 2, system cannot find specified file when calling Shell Execute ExW from AG Workspace. shell execute

View 2 Replies View Related

Edge Animate CC :: Calling Function From HTML Page Embedded In IFrame?

Mar 26, 2014

This is a tricky one, but it may just be that I don't understand the syntax,
 
Situation:I have an Edge Animate composition that is acting as an interface and container into which other content is embedded using an iFrame.  I have several functions in Stage > creationComplete, and for one of the embedded content pieces, I want to include a button that calls one of the Edge functions.
 
Challenge: I have read about referencing elements within Edge when it is the Edge file that is embedded on an HTML page, but I cannot figure out how to reference Edge in the reverse.
 
I have tried these options where headerselect(page) is my function:
 
AdobeEdge.getComposition("EDGE-531849691").getStage().headerSelect("co mmunity");
 
window.top.Edge.getComposition("EDGE-531849691").getStage().headerSele ct("community");

View 3 Replies View Related

AutoCAD Inventor :: Open Document From Drawing Partslistrow

Sep 25, 2013

I wish to open a part or assemblydocument by its item number in the drawingdocument.

I can make an inputlistbox with all Item numbers in the drawing.

I can also link the result of the inputlistbox to the partslistrow.Item("Item").Value.

 I am stuck here. I can not find the link/reference from a partslistrow to a document.

Is there a propertyfield that keeps the link? Or another way?

Comparing partlist and BOM cells by value is not a method I can use

View 2 Replies View Related

AutoCAD Inventor :: Units Command Under Document Settings?

May 21, 2012

Where did they put it in IV 2013?

View 9 Replies View Related

AutoCAD Inventor :: Store Object Inside Document

Sep 7, 2012

My goal is to be able to store any object type (mainly an image jpg/bmp) inside a part that is not accessable through the normal user interface to be used with my addin.

I have been searching around and it seems like GetPrivateStream is the way to go.

Any working example of GetPrivateStream in vb.net and confirm if it actually stores the data inside the part.

I can't find a solution anywhere or any decent referencing material for this. If there is a better method of achieving this?

View 9 Replies View Related

AutoCAD Inventor :: Get All Reference Document Without Opening Assembly?

Mar 22, 2012

in inventor VBA, is it possible to get all reference documents without opening an assembly file in inventor?

this is i am using right now,

Dim oAssyDoc As AssemblyDocument
Set oAssyDoc = oInvApp.Documents.Open(sAssyPath)
oAssyDoc.Update
Dim oAllRefParts As DocumentsEnumerator
If Check1 = True Then
Set oAllRefParts = oAssyDoc.ReferencedDocuments
Else
Set oAllRefParts = oAssyDoc.AllReferencedDocuments End If

Autodesk Inventor Professional 2014
Autodesk Product Design Suite Standard 2013
Microsoft Office 2007 & 2013
Windows 7 64bit
Synergis Adept 2013
Visual Studio Express 2010

View 6 Replies View Related

AutoCAD Inventor :: Copy Assembly Document To Another Folder

Jul 25, 2013

Can I copy and past an assembley file to another folder in my system,as like as packandgo using inventor api ?

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved